
/**
 * This package has two public APIs.
 * <p>
 * If you want to loggify a file:
 * <pre>
 *    Loggifier loggifier = new Loggifier();
 *    loggifier.setLogLevel(...);
 *    loggifier.loggify(
 *        new File("./MyClass.class"), // in
 *        new File("./MyClass.class"), // out
 *        Pattern.always(),            // selector
 *        true                         // keepOriginals
 *    );
 * </pre>
 * This recurses into subdirectories and ZIP files (and nested ZIP files) and loggifies all .class files that match
 * the {@code selector}.
 * <p>
 * If you want to loggify streams:
 * <pre>
 *    LoggifyingContentsTransformer lct = new LoggifyingContentsTransformer();
 *    lct.setLogLevel(...);
 *    lct.transform(inputStream, outputStream);
 * </pre>
 */
@de.unkrig.commons.nullanalysis.NotNullByDefault package de.unkrig.loggifier;
